package de.uka.ipd.consensus.impl;

import java.util.Collection;
import java.util.Collections;

import de.uka.ipd.consensus.foundation.query.QueryEngine;
import de.uka.ipd.consensus.foundation.query.QueryEngineException;
import de.uka.ipd.consensus.foundation.query.QueryEngineResultSet;
import de.uka.ipd.consensus.foundation.schema.Association;
import de.uka.ipd.consensus.foundation.schema.Concept;
import de.uka.ipd.consensus.foundation.schema.Topic;
import de.uka.ipd.consensus.foundation.schema.User;

/**
 * 
 * TODO
 * @author Thomas Much
 * @version 2006-06-14
 */
public class QueryEngineSPARQLDummyImpl implements QueryEngine {

	
	public QueryEngineResultSet executeQuery(User user, String query) throws QueryEngineException {
		throw new QueryEngineException("Sorry, not implemented yet.");
	}


	public Topic getTopicById(User user, String id) throws QueryEngineException {
		return null;
	}


	public Association getAssociationById(User user, String id) throws QueryEngineException {
		return null;
	}
	
	
	public Concept getConceptById(User user, String id) throws QueryEngineException {
		return null;
	}


	public Collection getTopics(User user) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}


	public Collection getAssociations(User user, Topic topic) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}


	public Collection getAssociationsOfType(User user, Topic type) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}


	public Collection getAssociationRoles(User user, Association assoc) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}


	public Collection getInstanceRoots(User user) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}
	

	public Collection getTopicsByBeginning(User user, String beginning) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}
	
	
	public Collection getTopicsBySubstring(User user, String substring, boolean searchComment) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}
	
	
	public Collection getClassTopics(User user) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}
	
	
	public Collection getClassTopicsByBeginning(User user, String beginning) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}

	
	public Collection getClassTopicsBySubstring(User user, String substring, boolean searchComment) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}

	
	public Collection getInstanceTopics(User user) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}
	
	
	public Collection getInstanceTopicsByBeginning(User user, String beginning) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}
	
	
	public Collection getInstanceTopicsBySubstring(User user, String substring, boolean searchComment) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}


	public Collection getInstances(User user, Topic topic) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}
	
	
	public Collection getTypes(User user, Topic topic) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}

	
	public Collection getSuperclasses(User user, Topic topic) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}
	
	
	public Collection getSubclasses(User user, Topic topic) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}
	
	
	public Collection getClassRoots(User user) throws QueryEngineException {
		return Collections.EMPTY_LIST;
	}

	
	public int getTopicCount(User user) {
		return 0;
	}
	
	
	public int getClassTopicCount(User user) {
		return 0;
	}
	
	
	public int getInstanceTopicCount(User user) {
		return 0;
	}
	
	
	public int getAssociationCount(User user) {
		return 0;
	}

	
	public String getVersion() {
		return "2006-06-14 tm (" + this.getClass().getName() + ")";
	}


	public String getQuerySyntaxName() {
		return "SPARQL";
	}

	
	public String getQuerySyntaxVersion() {
		return "2005-11-23";
	}


	public String getQuerySyntaxURL() {
		return "http://www.w3.org/TR/2005/WD-rdf-sparql-query-20051123/";
	}
}
